Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser

# Class SmallColorWellBorder

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.SmallColorWellBorder

All Implemented Interfaces:
  `Border`

public class SmallColorWellBorder extends Object implements Border
SmallColorWellBorder.

## Constructor Summary

Constructors
Constructor
Description
`SmallColorWellBorder()`
Creates a new instance of QuaquaSquareButtonBorder

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics gr, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SmallColorWellBorder

public SmallColorWellBorder()
Creates a new instance of QuaquaSquareButtonBorder

## Method Details

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### paintBorder

public void paintBorder(Component c, Graphics gr, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`